Scriptname _tcUltimaMCM extends SKI_ConfigBase  

GlobalVariable Property _tcUltimaTax  Auto  
GlobalVariable Property _tcUltimaWait  Auto  
GlobalVariable Property _tcUltimaEnable  Auto  
GlobalVariable Property _tcUltimaSpeechCalc  Auto  

int			tog_enable
int			tog_speech
int			sldr_tax
int			sldr_wait

bool		tog1_state				= false
bool		tog2_state				= false
float		sldr_tax_perc			= 15.0
float		sldr_wait_time			= 24.0

event OnConfigInit()
	Pages = new string[1]
	Pages[0] = "Options"
endEvent

event OnPageReset(string a_page)
	if (a_page == "")
		; Image size 256x256
		; X offset = 376 - (height / 2) = 258
		; Y offset = 223 - (width / 2) = 95
		LoadCustomContent("TCLogo2.dds", 126, 25)
		return
	else
		UnloadCustomContent()
	endIf
	if (a_page == "Options")
		SetCursorFillMode(TOP_TO_BOTTOM)
		AddHeaderOption("Tax Options")
		tog_speech			= AddToggleOption("Check to calculate tax based on speech skill.", tog2_state)
		sldr_tax = AddSliderOption("Tax", sldr_tax_perc, "{0}%" )
		AddHeaderOption("Wait Time Selection")
		sldr_wait = AddSliderOption("Wait Time", sldr_wait_time, "{0}Hrs")
	endIf
endEvent

event OnOptionSelect(int a_option)
	If (a_option == tog_speech)
		tog2_state = !tog2_state
		SetToggleOptionValue(a_option, tog2_state)
		if (tog2_state == true)
			_tcUltimaSpeechCalc.SetValue(1)
		else
			_tcUltimaSpeechCalc.SetValue(0)
		endif
	endIf
endEvent

event OnOptionSliderOpen(int a_option)
	if (a_option == sldr_tax)
		SetSliderDialogStartValue(sldr_tax_perc)
		SetSliderDialogDefaultValue(15)
		SetSliderDialogRange(5, 90)
		SetSliderDialogInterval(1)
	elseIf (a_option == sldr_wait)
		SetSliderDialogStartValue(sldr_wait_time)
		SetSliderDialogDefaultValue(24)
		SetSliderDialogRange(1, 168)
		SetSliderDialogInterval(1)
	endIf
endEvent

event OnOptionSliderAccept(int a_option, float a_value)
	if (a_option == sldr_tax)
		sldr_tax_perc = a_value
		SetSliderOptionValue(a_option, a_value, "{0}%")
		_tcUltimaTax.SetValue(a_value)
	elseif (a_option == sldr_wait)
		sldr_wait_time = a_value
		SetSliderOptionValue(a_option, a_value, "{0}hrs")
		_tcUltimaWait.SetValue(a_value)
	endIf
endEvent

event OnOptionHighlight(int a_option)
	if (a_option == tog_enable)
		SetInfoText("Select this toggle option to enable the mod.")
	elseIf (a_option == tog_speech)
		SetInfoText("Select this if you want tax to be calculate based on your speech skill.")
	elseIf (a_option == sldr_tax)
		SetInfoText("Select the tax you wish to be taken from your profit. This option is only viable if you do not select to have tax calculated based on your speech skill.")
	elseIf (a_option == sldr_wait) 
		SetInfoText("Select how long it will take for the trader to arrive.")
	endIf
endEvent
 


